%define upstream_name    IPC-Run3
%define upstream_version 0.048

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Run a subprocess in batch mode (a la system)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.310.0
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
IPC::Run3 allows you run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are
both supported and may be mixed. 

Various redirection operators reminiscent of those seen on common Unix
and DOS command lines are provided. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's#/usr/local/bin/#%{_bindir}/#' bin/run3profpp

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install
mkdir -p %{buildroot}/%{_bindir}
cp bin/* %{buildroot}/%{_bindir}
chmod 0755 %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/IPC
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.48.0-7.mga8
+ Revision: 1495191
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.48.0-6.mga7
+ Revision: 1268843
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.48.0-5.mga6
+ Revision: 1028802
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.48.0-4.mga6
+ Revision: 940990
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.48.0-3.mga5
+ Revision: 741592
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.48.0-2.mga5
+ Revision: 685102
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.48.0-1.mga5
+ Revision: 614830
- update to 0.048

* Sat Oct 19 2013 umeabot <umeabot> 0.46.0-2.mga4
+ Revision: 528715
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.46.0-1.mga4
+ Revision: 446992
- update to 0.046

* Sun Jan 13 2013 umeabot <umeabot> 0.45.0-2.mga3
+ Revision: 368643
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 04 2012 jquelin <jquelin> 0.45.0-1.mga2
+ Revision: 190321
- update to 0.045

* Wed Jan 19 2011 jquelin <jquelin> 0.44.0-1.mga1
+ Revision: 24374
- fix specs
- imported package perl-IPC-Run3


* Tue Aug 24 2010 Jérôme Quelin <jquelin@mandriva.org> 0.44.0-1mdv2011.0
+ Revision: 572704
- update to 0.044

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.043-1mdv2010.1
+ Revision: 383973
- update to new version 0.043

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.042-2mdv2009.1
+ Revision: 351918
- rebuild

* Mon Aug 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.042-1mdv2009.0
+ Revision: 270889
- update to new version 0.042

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.041-1mdv2009.0
+ Revision: 270388
- update to new version 0.041

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.040-2mdv2009.0
+ Revision: 223804
- rebuild

* Thu Dec 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.040-1mdv2008.1
+ Revision: 138326
- update to new version 0.040

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.039-1mdv2008.1
+ Revision: 105894
- update to new version 0.039

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.038-1mdv2008.1
+ Revision: 104497
- update to new version 0.038

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.037-1mdv2008.0
+ Revision: 46530
- update to new version 0.037


* Thu Sep 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.036-1mdv2007.0
- new version

* Mon Jul 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.035-1mdv2007.0
- new version

* Tue Dec 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.034-1mdk
- 0.034

* Fri Nov 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.033-1mdk
- New release 0.033
- %%mkrel
- fix sources URL

* Wed Oct 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.032-1mdk
- 0.032

* Thu Sep 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.031-1mdk
- New release 0.031

* Fri Sep 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.030-1mdk
- version
- fix source url
- don't ship empty directories
- make test in %%check

* Mon Jul 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.020-1mdk
- 0.020

* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.01-2mdk
- rebuild for new perl

* Tue Aug 03 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.01-1mdk
- 0.01

* Tue May 11 2004 Michael Scherer <misc@mandrake.org> 0.009-1mdk
- New release 0.009

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.01-3mdk 
- really fix Requires

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.01-2mdk 
- fix Requires

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.01-1mdk
- first release, based on perl-IPC-Run

